module kcom16(reset,ipt,clk,tclk,sclk,a_bus,pc,d_bus,ir,acc,latch,c,z,select,inp,oup,halt,i);
input reset, ipt, clk;
input [15:0] inp; 
output tclk, sclk, c, z, halt, i;
output [11:0] a_bus, pc;
output [9:0] select;
output [15:0] d_bus, ir, acc, latch, oup;
wire gclk;

assign gclk= clk & ~halt;
clock16 clock16(reset, gclk, tclk, sclk);
pcir16 pcir16(reset, tclk, halt, pc, ir, a_bus, d_bus, select);
alu16 alu16(reset, tclk, ir, select, acc, latch, c, z, d_bus);
mem16 mem16(tclk, a_bus, inp, oup, select, d_bus);
control16 control16(reset, ipt, sclk, ir, c, z, select, i);
  
endmodule